Subject: Re: merge-recursive, was Re: What's in git.git

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 Oct 2006 02:26:31 -0700

Johannes Schindelin <[email-masked]> writes:

> On Thu, 26 Oct 2006, Junio C Hamano wrote:
>
>>   We'd still need more work on merge-recursive to fix the
>>   overcautious "working file will be overwritten by merge" --
>>   this is really needed for usability.
>
> I am sorry, but I do not have the time to wrap my head around this for at 
> least another week. It seems to be a complicated problem (not the fix, 
> mind you, but the side effects you have to think of!), and I stupidly 
> started to play with shallow clones when I knew I had no time already.

No need to worry nor feel pressure; it's all volunteer work and
we do this for fun.

> BTW what happened to the builtin shortlog? It is the last Perl script I 
> use regularly... (should make people happy who are stuck with Activision 
> Perl...)

Yeah, I was wondering about it too, when I was looking for
something readily mergeable to "next" today.  I must have
misplaced it.